
while ( $seq = <STDIN> )
{
	if ( $seq =~ /GGATCC.*GATATC/ )
		{
			print "Both BamHI and EcoRV sites (in this order) are present !\n";
		}
	else
		{
			print "BamHI _and_ EcoRV sites (in this order) not present.\n";
		}
}
